#! /usr/bin/env bash

# Clean up oas-* secrets
kubectl delete secret -n flux-system oas-cluster-variables
kubectl delete secret -n flux-system oas-single-sign-on-variables
kubectl delete secret -n flux-system oas-oauth-variables
kubectl delete secret -n flux-system oas-kube-prometheus-stack-variables
kubectl delete secret -n flux-system oas-nextcloud-variables
kubectl delete secret -n flux-system oas-wekan-variables
kubectl delete secret -n flux-system oas-rocketchat-variables
kubectl delete secret -n flux-system oas-wordpress-variables

# Set retain policy for PVs back to "Delete"
for pv in $(kubectl get pv --no-headers | awk '{print $1}'); do
  kubectl patch pv "$pv" -p '{"spec":{"persistentVolumeReclaimPolicy":"Delete"}}'
done
